From f73132fa3ee93e9ab1770488c63015541a02af73 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Mon, 22 Jun 2020 18:48:21 +0530
Subject: [PATCH 03/10] GPIO Changes

---
 ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607-pinctrl.dtsi | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607-pinctrl.dtsi b/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607-pinctrl.dtsi
index 88a56fc..b67c059 100755
--- a/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607-pinctrl.dtsi
+++ b/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607-pinctrl.dtsi
@@ -148,12 +148,12 @@
 
 		blsp1_uart3_active: blsp1_uart3_active {
 			mux {
-				pins = "gpio0", "gpio1", "gpio2", "gpio3";
+				pins = "gpio0", "gpio1";
 				function = "blsp_uart3";
 			};
 
 			config {
-				pins = "gpio0", "gpio1", "gpio2", "gpio3";
+				pins = "gpio0", "gpio1";
 				drive-strength = <2>;
 				bias-disable;
 			};
@@ -161,13 +161,13 @@
 
 		blsp1_uart3_sleep: blsp1_uart3_sleep {
 			mux {
-				pins = "gpio0", "gpio1", "gpio2", "gpio3";
+				pins = "gpio0", "gpio1";
 				function = "gpio";
 			};
 
 
 			config {
-				pins = "gpio0", "gpio1", "gpio2", "gpio3";
+				pins = "gpio0", "gpio1";
 				drive-strength = <2>;
 				bias-disable;
 			};
@@ -1371,12 +1371,12 @@
 
 		mdss_ldo_active:mdss_ldo_active {
 			mux {
-				pins = "gpio10";
+				pins = "gpio10", "gpio2", "gpio3";
 				function = "gpio";
 			};
 
 			config {
-				pins = "gpio10";
+				pins = "gpio10", "gpio2", "gpio3";
 				drive-strength = <10>;/*10mA*/
 				bias-disable;/*NOpull*/
 				output-high;
@@ -1385,12 +1385,12 @@
 
 		mdss_ldo_sleep:mdss_ldo_sleep {
 			mux {
-				pins = "gpio10";
+				pins = "gpio10", "gpio2", "gpio3";
 				function = "gpio";
 			};
 
 			config {
-				pins = "gpio10";
+				pins = "gpio10", "gpio2", "gpio3";
 				drive-strength = <10>;/*2mA*/
 				bias-disable;/*NOpull*/
 				output-low;
-- 
2.7.4

